Redmine - Feature #347

Grouping issues in Gantt view
2007-05-17 05:22 - Miroslav Zahorak

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution:

Description

1. Grouping issues by Version
2. Grouping isues by Category

Related issues:

Related to Redmine - Patch #12730: Fix sorting and PDF output of Gantt diagra... New

Has duplicate Redmine - Feature #3098: Add grouping and sorting to Gantt Closed 2009-04-01
Has duplicate Redmine - Feature #4786: Gantt Chart - Grouping issues by targe... Closed 2010-02-10
History

#1 - 2007-08-28 09:21 - Neil Rodrigues

| would very much like this feature as well, particularly the
grouping by Category.

#2 - 2009-07-28 11:13 - Bill Tihen

Grouping by Phase
| am also in favor of this. | tried to enable some grouping by start -- date, but for a large project involving many and overlapping phases -- it is not
practical to have the start date of each phase after the end date of the previous phase. This would be an invaluable feature for us in my organization!

Display Tasks in Gantt without Start Date

This too would be valuable for us - we want to use the start date to show when a task "starts" -- we do not need it to be be the same as the creation
date since we already have that. (We would be fine with tasks that have no start date to just be listed without a bar -- in fact we do want to know what
has not even been scheduled).

Allow Tasks in Sub-projects to see "Parent” project versions & displayed/grouped with those items
In addition to the other requests, | would like tasks in child-projects to "see" & use the versions in parent projects. Similarly, it would be critical that
these sub-tasks would then be displayed along with the other tasks assigned to that version.

These changes would allow complex projects with sub-projects to be managed as one large project -- (something we are doing at the moment) -- so
this would be very helpful!

#3 - 2009-08-13 02:10 - Lori Thompson
- Assignee set to Jean-Philippe Lang

In the view all issues gantt, request ability to sort issues by Project and Tracker. Color differentiate for each type of Tracker would also be amazing.

#4 - 2009-10-30 09:03 - Marcin Kwiatkowski

Sorting/grouping shouldn't be limited just to project - it should be fully configurable (at least in my use case i also need grouping by users). And yes,
ability to color each group would be a killer feature.

#5 - 2010-06-07 20:29 - Pedro Gutierrez
+1 Yes please, do something wrt this.

Grouping by version is a must, I'd say
| consider colouring and grouping by category has the risk to make the Gantt a bit messy.

¢lIs this feature additionally gonna paint tasks and subtask in the Gantt in a hierarquical manner considering subtasking is already expected for
version 1.0.0?

#6 - 2010-10-03 15:07 - Mischa The Evil
- Category set to Gantt

#7 - 2011-05-18 00:45 - steve borgelt

Group by all types, Assignee, etc... just like it is used in Issues Filter Options

#8 - 2013-01-05 09:23 - Tobias Droste

- File Add-grouping-functionality-to-Gantt-diagram.patch added
I've attached a patch to implement grouping in the Gantt diagram.
It additionally adds 2 options to:

e Don't draw every issue onto their own line (Hide group details)
¢ Keep the version grouping additionally to the user selected grouping

I'm not sure how localization is handled, | added de, en and en-GB.

#9 - 2013-01-05 10:23 - Toshi MARUYAMA
- Assignee deleted (Jean-Philippe Lang)

#10 - 2013-01-05 12:35 - Daniel Felix

Tobias Droste wrote:
I've attached a patch to implement grouping in the Gantt diagram.
It additionally adds 2 options to:

e Don't draw every issue onto their own line (Hide group details)
¢ Keep the version grouping additionally to the user selected grouping

I'm not sure how localization is handled, | added de, en and en-GB.

Thanks Tobias for this. | will try this patch soon (this weekend or maybe monday). Thanks for your work!
#11 - 2013-01-17 14:53 - Erny Revilla
Tobias Droste wrote:

I've attached a patch to implement grouping in the Gantt diagram.

It additionally adds 2 options to:

e Don't draw every issue onto their own line (Hide group details)
¢ Keep the version grouping additionally to the user selected grouping

I'm not sure how localization is handled, | added de, en and en-GB.

Hi. | tried this patch against 2.2-stable, but was not successful. For which version is this patch? Thanks. Regards.

#12 - 2013-01-17 23:45 - Tobias Droste

It's against r11114. It should be possible to apply it manually* with other versions to as there are no fundamental changes between 2.2 and current
development.

*manually as in see what lines were changed, find them in the 2.2-stable code and replace them with ne new lines. To get a good visual
representation of the changes you could use this: http://www.redmine.org/attachments/8730/Add-grouping-functionality-to-Gantt-diagram.patch

/edit:
Or if you can wait another 24h | can create a patch against 2.2.1.

#13 - 2013-01-18 00:14 - Tobias Droste
- File Add-grouping-functionality-to-Gantt-diagram.patch added

Well you don't have to wait, | just did it ;-)

#14 - 2013-03-17 10:32 - Daniel Felix
https://www.redmine.org/projects/redmine/repository/svn/revisions/11114
http://www.redmine.org/attachments/8730/Add-grouping-functionality-to-Gantt-diagram.patch

Any news on this? Can someone confirm this patch works on 2.3/trunk?

#15 - 2013-03-18 04:12 - Mischa The Evil

- Subject changed from Grouping issues in Gannt view to Grouping issues in Gantt view

#16 - 2014-02-13 11:48 - Lajos Farkas

Any news on this? just installed redmine, and i would like to have this functionality (group issues by users on gantt chart) Tried to patch the latest
version by hand, but it does not work :( Tobias, could you make a pathch maybe for latest version?

#17 - 2014-02-14 18:11 - Tobias Droste

Lajos Farkas wrote:

Tobias, could you make a pathch maybe for latest version?

As far as | know there were huge changes to Gantt chart and | just removed anything redmine related last month, so | can't verify how difficult this
task would be.
If | get bored over the weekend | could give it a try, but don't get your hopes up too high.

#18 - 2021-02-03 11:49 - Ribald Drobens
The current static grouping by project/version and alphabetical sorting of the projects in my eyes is a major issue for Gantt usability, especially in
multi-project setups.

Full grouping functionality as in the issue filter options of course would be nice, however, as a first step removing the project-grouping and just leaving
the versions in the top level® would be a low hanging fruit for usability. Disabling the project-grouping could be a checkbox in Gannt options.

! with the same due-date ordering

#19 - 2022-11-23 14:00 - Celso Acurcio

| tried applying this to 4.1.1 using TortoiseSVN "Apply patch” function but this is causing an error where my Gantt is not visible at all.

| reverted it and now it's fine but I'd very much like the feature to group by assignee or by custom field or date, whatever, just as you do on a standard
custom query.

Did anyone develop a fix for 4.1.1 onwards?

Thank you

Files

Add-grouping-functionality-to-Gantt-diagram.patch 18.6 KB 2013-01-05 Tobias Droste
Add-grouping-functionality-to-Gantt-diagram.patch 18.3 KB 2013-01-17 Tobias Droste
